Minecraft Server List Icon

ZelCraft Minecraft Server

This is the information page for the ZelCraft server. Here you can find answers to all of the questions you may have about ZelCraft to make sure it would be a good fit for you!

ZelCraft

Server Banner

ZelCraft [‚Äč1.18-1.20+]

Looking for a fun, enjoyable and friendly server, well ZelCraft is just for you, with a wonderful community and crossplay between Java and Bedrock there is no reason why you shouldn't join!

Join and experience the true feeling of an SMP network!

Cross Play Enabled:
- Java PC
- Bedrock, Xbox, iPhone, iPad, Playstation
- Virtual Reality, Switch, and More!

IP: play.zelcraft.xyz

Bedrock Port: 25565

Discord: https://discord.zelcraft.xyz

Vote for ZelCraft

Vote every 24 hours to get rewards and support ZelCraft!

Player Stats

5.0 / 5.0

Reviews

1 reviews total

  • Latest 5 reviews
  • astralbie
    5.0 / 5.0
    Sunday Jul 7, 2024

    i like this server a lot ive been playing in it with my friends every week! i like how there are no weird mods and its just a server anyone can join. this week i went on it with my friend and its not letting us get into the server. it has been saying "failed to connect to the server no further information" hope this can get fixed so me and my friends can play on the server again. thanks.

Frequently Asked Questions

  • How do I join ZelCraft?

    Joining servers is different for both Java and Bedrock platforms. If you are a Java player, simply select 'Add Server' or 'Direct Connection', and enter the IP address: play.zelcraft.xyz. If you are a Bedrock player (this server must support Bedrock in order to join on Bedrock) use the address play.zelcraft.xyz along with the port: 19132.

  • Which Gamemodes does ZelCraft have?

    Every Minecraft server has it's own gamemode. ZelCraft features Survival. If you enjoy any of these gamemodes, ZelCraft might be the server for you!'

  • Which Versions does ZelCraft support?

    Minecraft has many different versions - each with their own features. ZelCraft supports 1.19, 1.20, and 1.21 connectivity, so make sure you join on one of those versions!